gnutls_x509_crl_init(3)

NAME
gnutls_x509_crl_init - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crl_init(gnutls_x509_crl_t * crl);

ARGUMENTS

gnutls_x509_crl_t * crl
    A pointer to the type to be initialized

DESCRIPTION
This function will initialize a CRL structure. CRL stands for Certificate Revocation List. A revocation list usually contains lists of certificate serial numbers that have been revoked by an Authority. The revocation lists are always signed with the authority's private key.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/